Bug 55622 - EDITING: Writer jumps to beginning or end of document when pasting or anchoring a frame
Summary: EDITING: Writer jumps to beginning or end of document when pasting or anchori...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5.4 release
Hardware: Other All
: high minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Writer-View-Jumps
  Show dependency treegraph
 
Reported: 2012-10-04 12:56 UTC by stfhell
Modified: 2019-06-26 02:45 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Sample document with frames (49.04 KB, application/vnd.oasis.opendocument.text)
2012-10-04 12:56 UTC, stfhell
Details
jump.odt: another sample document to confirm the bug (68.74 KB, application/vnd.oasis.opendocument.text)
2012-10-26 15:25 UTC, stfhell
Details

Note You need to log in before you can comment on or make changes to this bug.
Description stfhell 2012-10-04 12:56:37 UTC
Created attachment 68079 [details]
Sample document with frames

When you copy and paste a frame in Writer, the cursor often jumps to the beginning (and sometimes the end) of the document.

This does not happen every time, even in the same document, so the behaviour is not 100% reproducible. I include an attachment where Writer jumps to the beginning of the document after pasting a few frames or undoing a paste.

Steps to reproduce:

(1) Open LO_paste_frame.odt and go to Chapter "Copy and paste a frame!".

(2) Mark the first frame of the chapter "(( copy this frame and paste it ))".

(3a) Copy the frame via Ctrl-C and insert it from the clipboard via Ctrl-V a few times on the same or following page.

(3b) Or: Insert it via Ctrl-V and undo the insertion via Ctrl-Z.

When I copy and paste the frame, it takes about 5-10 tries until Writer jumps to the beginning of the document. When I undo an insert, it always does.


Tested with LibreOffice version 3.5.4.2, but the bug has been present in OpenOffice/LibreOffice for some years.
Comment 1 stfhell 2012-10-26 15:25:21 UTC
Created attachment 69116 [details]
jump.odt: another sample document to confirm the bug

Go to p. 7 of the document and anchor the frame in the top right margin "to paragraph" instead of "to charatcer". LO jumps to the last page of the document. Tested with LO 3.5.4.2 and LO 3.6.2.2 under Ubuntu 12.04.
Comment 2 bfoman (inactive) 2013-04-30 12:21:58 UTC
Checked with:
LO 4.0.2.2
Build ID: own W7 debug build
Windows 7 Professional SP1 64 bit

(In reply to comment #0)
> When you copy and paste a frame in Writer, the cursor often jumps to the
> beginning (and sometimes the end) of the document.
> This does not happen every time

Tried few times and could not reproduce.

> When I undo an insert, it always does.

Confirmed - it jumps to the beginning and sometimes to the end of document.
Comment 3 Joel Madero 2013-06-24 17:28:52 UTC
Thank you for reporting this issue! I have been able to confirm the issue on:
Version: 4.2.0.0.alpha0+Build ID: b0a1666f756aa5f5315366eca9d7d02ddd55d2b
Date:   Tue May 28 08:51:01 2013 +0300 
Platform: Bodhi Linux 2.2 x64

+ + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + +
As I've been able to confirm this problem I am marking as:

New (confirmed)
Minor - doesn't prevent high quality work but can slow it down
High - common feature to anchor an object to paragraph - the jump is quite annoying

+ + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + +
LibreOffice is powered by a team of volunteers, every bug is confirmed (triaged) by human beings who mostly give their time for free. We invite you to join our triaging by checking out this link:
https://wiki.documentfoundation.org/QA/BugTriage and join us on freenode at #libreoffice-qa

There are also other ways to get involved including with marketing, UX, documentation, and of course developing -  http://www.libreoffice.org/get-help/mailing-lists/. 

Lastly, good bug reports help tremendously in making the process go smoother, please always provide reproducible steps (even if it seems easy) and attach any and all relevant material
Comment 4 Matthias Basler 2014-01-04 10:41:16 UTC
I confirm this (or at least a very similar) effect:

Often if I cut/paste an (embedded) image to a different position in a document using Ctrl+X/V, LO jumps to the last page. In a document with 100+ pages this is more than annoying.

Confirmed on Win7 64 Bit with LO 3.6.7.2. I am marking this as "All Platforms", as it is obviously not restricted to Linux.
Comment 5 Matthias Basler 2014-01-04 10:43:09 UTC
(Also happens with copy/paste, not only cut/paste.)
Comment 6 Joel Madero 2015-05-02 15:43:08 UTC Comment hidden (obsolete)
Comment 7 sdc.blanco 2015-05-05 21:52:55 UTC
LO 4.4.2.2, WinXP  - no problems with cut/copy and paste frames or with changing the anchor.  But when a paste is "undone" (i.e., Ctrl-Z), then the cursor jumps to the top of the file (as reported in the original bug).
Comment 8 QA Administrators 2018-06-24 02:41:09 UTC Comment hidden (obsolete)
Comment 9 sdc.blanco 2018-06-25 14:22:21 UTC
No problems with cut/copy and paste frames or with changing the anchor.  But when a paste is "undone" (i.e., Ctrl-Z), then the cursor jumps to the top of the file (as reported in the original bug).

Version: 5.4.7.2 (x64)
Build ID: c838ef25c16710f8838b1faec480ebba495259d0
CPU threads: 4; OS: Windows 6.19; UI render: default; 
Locale: da-DK (da_DK); Calc: group
Comment 10 QA Administrators 2019-06-26 02:45:58 UTC
Dear stfhell,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug